import json
import sys
import datetime

with open(sys.argv[1]) as f:
    data = json.load(f)
    print(data['fulltitle'] + " [{0}]".format(data["uploader"]), end="\n\n-----------------\n\n")
    upload_date = datetime.datetime(int(data["upload_date"][:-4]), int(data["upload_date"][4:][:-2]), int(data["upload_date"][6:]))
    print("Published on " + f"{upload_date.strftime('%b')} {upload_date.strftime('%d').strip('0')}, {upload_date.strftime('%Y')}", end="\n\n")
    print(data["description"])
